import { CardDataType } from "@/util/model/interface";
import BaseStore from "../baseStore";
import baseHttp from "@/service/base";
import { action, makeObservable } from "mobx";
import AppConfig from "@/service/apiConfig/appConfig";

class AppStore extends BaseStore<CardDataType> {
    constructor() {
        super(AppConfig)
        makeObservable(this, {
            otherAction: action,
            getIosConfig: action,
        })
    }
    otherAction() {

    }
    // 获取banner
    async setIosConfig(id: number, param) {
        return await baseHttp.put(AppConfig.IOSAPPPUSH + "/" + id, param)
    }
    // 获取banner
    async getIosConfig(id: number) {
        return await baseHttp.get(AppConfig.IOSAPPPUSH + "/" + id, {})
    }
}
export default new AppStore();